aboutsummaryrefslogtreecommitdiffstats
path: root/test/mppa
diff options
context:
space:
mode:
Diffstat (limited to 'test/mppa')
-rw-r--r--test/mppa/check.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/test/mppa/check.sh b/test/mppa/check.sh
new file mode 100644
index 00000000..813796d9
--- /dev/null
+++ b/test/mppa/check.sh
@@ -0,0 +1,29 @@
+
+while [ $# -gt 0 ]; do
+ elffile="$1"
+
+ if [ ! -f $elffile ]; then
+ >&2 echo "ERROR: $elffile not found"
+ shift; continue
+ fi
+
+ dir="$(dirname $elffile)"
+ elf="$(basename $elffile)"
+ exp="$dir/output/$elf.exp"
+ out="$dir/output/$elf.out"
+ if [ ! -f $exp ]; then
+ >&2 echo "ERROR: $exp not found"
+ shift; continue
+ fi
+
+ k1-cluster -- $elffile > $out
+ echo $? >> $out
+
+ if ! diff $exp $out; then
+ >&2 echo "ERROR: $exp and $out differ"
+ shift; continue
+ fi
+
+ echo "PASSED: $elf"
+ shift
+done